Get Rendered Start Form
curl --request GET \
--url http://{host}:{port}/{contextPath}/process-definition/key/{key}/rendered-form \
--header 'Authorization: Basic <encoded-value>'import requests
url = "http://{host}:{port}/{contextPath}/process-definition/key/{key}/rendered-form"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('http://{host}:{port}/{contextPath}/process-definition/key/{key}/rendered-form', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<form class=\"form-horizontal\">\n <div class=\"control-group\">\n <label class=\"control-label\">Customer ID</label>\n <div class=\"controls\">\n <input form-field type=\"string\" name=\"customerId\"></input>\n </div>\n </div>\n <div class=\"control-group\">\n <label class=\"control-label\">Amount</label>\n <div class=\"controls\">\n <input form-field type=\"number\" name=\"amount\"></input>\n </div>\n </div>\n </form>"{
"type": "<string>",
"message": "<string>",
"code": 123
}{
"type": "<string>",
"message": "<string>",
"code": 123
}Process Definition
Get Rendered Start Form
Retrieves the rendered form for the latest version of the process definition which belongs to no tenant. This method can be used to get the HTML rendering of a Generated Task Form.
GET
/
process-definition
/
key
/
{key}
/
rendered-form
Get Rendered Start Form
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The key of the process definition (the latest version thereof) to be retrieved.
Response
Request successful.
For application/xhtml+xml Responses, a byte stream is returned.
⌘I